# Interface methods for submodule: STAPLEImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: STAPLEImageFilter
class STAPLEImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetForegroundValue(self, _arg: float) -> None:
		""""""
		...

	def GetForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetSpecificity(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetSpecificity(self, i: int) -> float:
		""""""
		...

	@overload
	def GetSensitivity(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetSensitivity(self, i: int) -> float:
		""""""
		...

	def SetMaximumIterations(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumIterations(self) -> int:
		""""""
		...

	def SetConfidenceWeight(self, _arg: float) -> None:
		""""""
		...

	def GetConfidenceWeight(self) -> float:
		""""""
		...

	def GetElapsedIterations(self) -> int:
		""""""
		...

